﻿.onoffswitch {
    position: relative;
    width: 6rem;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
}

.onoffswitch-checkbox {
    position: absolute;
    opacity: 0;
    pointer-events: none;
}

.onoffswitch-label {
    display: block;
    overflow: hidden;
    cursor: not-allowed;
    height: 2.5rem;
    padding: 0;
    line-height: 36px;
    border: .2rem solid #E3E3E3;
    border-radius: 36px;
    background-color: indianred;
    margin:0;
    transition: background-color 0.3s ease-in;
}

    .onoffswitch-label:before {
        content: "";
        display: block;
        width: 36px;
        margin: 0px;
        background: #FFFFFF;
        position: absolute;
        top: 0;
        bottom: 0;
        right: 22px;
        border: 2px solid #E3E3E3;
        border-radius: 36px;
        transition: all 0.3s ease-in 0s;
    }

.onoffswitch-checkbox:checked + .onoffswitch-label {
    background-color: #49E845;
}

    .onoffswitch-checkbox:checked + .onoffswitch-label, .onoffswitch-checkbox:checked + .onoffswitch-label:before {
        border-color: #49E845;
    }

        .onoffswitch-checkbox:checked + .onoffswitch-label:before {
            right: 0px;
        }
